SYSCTL(8)

NOM
sysctl - Configurer les paramètres du noyau à chaud

SYNOPSIS
sysctl [options] [variable[=valeur]] [...]
sysctl -p [fichier | expression rationnelle] [...]

DESCRIPTION
sysctl is used to modify kernel parameters at runtime. The parameters available are those listed under /proc/sys/. Procfs is required for sysctl support in Linux. You can use sysctl to both read and write sysctl data.

PARAMÈTRES

variable
    Le nom d'une clé à lire. Par exemple « kernel.ostype ». Le séparateur « / » est aussi accepté en lieu et place de « . ».

variable=valeur
    Pour saisir une clé, utilisez la forme variable=valeur, où variable est la clé et valeur la valeur à lui affecter. Si valeur contient des apostrophes ou des caractères interprétés par l'interpréteur de commande, il faut placer la valeur entre guillemets doubles.

-n, --values
    Empêcher l'affichage des clés lors de l'affichage des valeurs.

-e, --ignore
    Ignorer les erreurs concernant les clés inconnues.

-N, --names
    Afficher les options. Cela peut être utile pour les interpréteurs de commandes disposant d'un complètement automatique programmable.

-q, --quiet
    Empêcher l'affichage des valeurs dans la sortie standard.

-w, --write
    Force all arguments to be write arguments and print an error if they cannot be parsed this way.

-p[fichier], --load[=fichier]
    Load in sysctl settings from the file specified or /etc/sysctl.conf if none given. Specifying - as filename means reading data from standard input. Using this option will mean arguments to sysctl are files, which are read in the order they are specified. The file argument may be specified as regular expression.

-a, --all
    Afficher toutes les valeurs disponibles.

--deprecated
    Inclure les paramètres obsolètes à la liste de valeurs avec --all.

-b, --binary
    Afficher la valeur sans retour à la ligne.

--system
    Load settings from all system configuration files. See the SYSTEM FILE PRECEDENCE section below.

-r, --pattern motif
    N'appliquer que les réglages qui correspondent au motif. Le motif utilise la syntaxe d'expression rationnelle étendue.

-A  Alias de -a.

-d  Alias de -h.

-f  Alias de -p.

-X  Alias de -a.

-o  Ne rien faire, pour la compatibilité BSD.

-x  Ne rien faire, pour la compatibilité BSD.

-h, --help
    Afficher l'aide et quitter.

-V, --version
    Afficher la version du logiciel et quitter.

SYSTEM FILE PRECEDENCE
When using the --system option, sysctl will read files from directories in the following list in given order from top to bottom. Once a file of a given filename is loaded, any file of the same name in subsequent directories is ignored. /etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf All configuration files are sorted in lexicographic order, regardless of the directory they reside in. Configuration files can either be completely replaced (by having a new configuration file with the same name in a directory of higher priority) or partially replaced (by having a configuration file that is ordered later).

EXEMPLES
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --pattern '^net.ipv6' --system

PARAMÈTRES OBSOLÈTES
The base_reachable_time and retrans_time are deprecated. The sysctl command does not allow changing values of these parameters. Users who insist to use deprecated kernel interfaces should push values to /proc file system by other means. For example:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

FICHIERS
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

VOIR AUSSI
proc(5), sysctl.conf(5), regex(7)

AUTEUR
George Staikos <staikos@wnedorg>

BOGUES
Signalez les bogues à <procps@freelists.org>